//
// Fursin Program - Class CFNet for neural networks
//
// Initialization:
//

#if !defined(CFNET_INCLUDED_)
#define CFNET_INCLUDED_

#include "FPat.h"

class CFNet
{
private:
	char *pFullNameOfNet;
	char *str1, *str2, *str3;
	long *pNet;
	
public:
	CFNet(char *NameOfNet, char *NetPath, unsigned int StrMaxLen);
	~CFNet(void);
	int Learn(char *PatB, char *PatE, char *PatExt,
		 char *PatPath, bool param);
	int Load(void);
	bool Compare(CFPat *pPatInp, CFPat *pPatOut);
	int Recover(CFPat *pPatInp, CFPat *pPatOut);
};
#endif
